
import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/community_page_router.dart';
import '../vm/community_view_model.dart';

@RoutePage()
class CommunityPage extends HookConsumerWidget {
  const CommunityPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const CommunityPageRoute());
    } else {
      appRouter.push(const CommunityPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _viewModel = ref.read(communityViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("社区")),
      body: Center(
        child: Text("社区主页面"),
      ),
    );
  }
}
