import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/property/page/property_page.dart';
import '../../modules/ioan/page/property_ioan_page.dart';
import '../../modules/news/page/property_news_page.dart';
import '../../modules/sale/page/property_sale_page.dart';
import '../../modules/rent/page/property_rent_page.dart';


part 'property_page_router.gr.dart';

/*\
 * Property 模块的路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class PropertyPageRouter extends _$PropertyPageRouter {
  @override
  List<AutoRoute> get routes  => [
    CustomRoute(
      page: PropertyPageRoute.page,
      path: RouterPath.property,
      transitionsBuilder: applySlideTransition,
      children: [
        CustomRoute(
          page: PropertyIoanPageRoute.page,
          path: RouterPath.propertyIoan,
          transitionsBuilder: applySlideTransition,
        ),
        CustomRoute(
          page: PropertyNewsPageRoute.page,
          path: RouterPath.propertyNews,
          transitionsBuilder: applySlideTransition,
        ),
        CustomRoute(
          page: PropertySalePageRoute.page,
          path: RouterPath.propertySale,
          transitionsBuilder: applySlideTransition,
        ),
        CustomRoute(
          page: PropertyRentPageRoute.page,
          path: RouterPath.propertyRent,
          transitionsBuilder: applySlideTransition,
        ),
      ]
    ),
  ];
}
